﻿@Code
     ViewData("Title") = "Adventure Works Customers"
End Code
@Code
     Dim grid = New WebGrid(Model)
End Code

<div id="customergrid">
    @grid.GetHtml(columns:=grid.Columns(
        grid.Column(format:=Function(item) Html.ActionLink("Edit", "Edit", New With {Key .customerId = item.CustomerID})),
        grid.Column("CompanyName", "Company"),
        grid.Column("FirstName", "First Name"),
        grid.Column("LastName", "Last Name")))
</div>

@Code
    If ViewBag.HasPrevious Then
        @Html.ActionLink("<<", "Index", New With {Key .page = (ViewBag.CurrentPage - 1)})
    End If
End Code

@Code
    If ViewBag.HasMore Then
        @Html.ActionLink(">>", "Index", New With {Key .page = (ViewBag.CurrentPage + 1)})
    End If
End Code
