﻿Public Class HomeController
    Inherits Controller
    Public Function Index(ByVal page? As Integer) As ActionResult
        Const pageSize As Integer = 10
        Dim customers = DataAccess.GetPagedCustomers((If(page, 0)) * pageSize, pageSize)
        ViewBag.HasPrevious = customers.HasPrevious
        ViewBag.HasMore = customers.HasNext
        ViewBag.CurrentPage = (If(page, 0))
        Return View(customers.Entities)
    End Function

    Public Function About() As ActionResult
        Return View()
    End Function

    Public Function Edit(ByVal customerId As Integer) As ActionResult
        Return View(DataAccess.GetCustomerById(customerId))
    End Function

    <HttpPost()>
    Public Function Edit(ByVal customerId As Integer, ByVal customer As Customer) As ActionResult
        Try
            DataAccess.UpdateCustomer(customer)
            Return RedirectToAction("Index")
        Catch ex As Exception
            Return View()
        End Try
    End Function
End Class
