﻿@ModelType AdventureWorksModel.Customer

@Code
     ViewData("Title")= "Edit"
End Code

<h2>Edit</h2>

<script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
<script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>

@Using Html.BeginForm()
    @Html.ValidationSummary(true)
    @<fieldset>
        <legend>Customer</legend>

        @Html.HiddenFor(Function(model) model.CustomerID)

        <div class="editor-label">
            @Html.LabelFor(Function(model) model.NameStyle)
        </div>
        <div class="editor-field">
            @Html.EditorFor(Function(model) model.NameStyle)
            @Html.ValidationMessageFor(Function(model) model.NameStyle)
        </div>

        <div class="editor-label">
            @Html.LabelFor(Function(model) model.Title)
        </div>
        <div class="editor-field">
            @Html.EditorFor(Function(model) model.Title)
            @Html.ValidationMessageFor(Function(model) model.Title)
        </div>

        <div class="editor-label">
            @Html.LabelFor(Function(model) model.FirstName)
        </div>
        <div class="editor-field">
            @Html.EditorFor(Function(model) model.FirstName)
            @Html.ValidationMessageFor(Function(model) model.FirstName)
        </div>

        <div class="editor-label">
            @Html.LabelFor(Function(model) model.MiddleName)
        </div>
        <div class="editor-field">
            @Html.EditorFor(Function(model) model.MiddleName)
            @Html.ValidationMessageFor(Function(model) model.MiddleName)
        </div>

        <div class="editor-label">
            @Html.LabelFor(Function(model) model.LastName)
        </div>
        <div class="editor-field">
            @Html.EditorFor(Function(model) model.LastName)
            @Html.ValidationMessageFor(Function(model) model.LastName)
        </div>

        <div class="editor-label">
            @Html.LabelFor(Function(model) model.Suffix)
        </div>
        <div class="editor-field">
            @Html.EditorFor(Function(model) model.Suffix)
            @Html.ValidationMessageFor(Function(model) model.Suffix)
        </div>

        <div class="editor-label">
            @Html.LabelFor(Function(model) model.CompanyName)
        </div>
        <div class="editor-field">
            @Html.EditorFor(Function(model) model.CompanyName)
            @Html.ValidationMessageFor(Function(model) model.CompanyName)
        </div>

        <div class="editor-label">
            @Html.LabelFor(Function(model) model.SalesPerson)
        </div>
        <div class="editor-field">
            @Html.EditorFor(Function(model) model.SalesPerson)
            @Html.ValidationMessageFor(Function(model) model.SalesPerson)
        </div>

        <div class="editor-label">
            @Html.LabelFor(Function(model) model.EmailAddress)
        </div>
        <div class="editor-field">
            @Html.EditorFor(Function(model) model.EmailAddress)
            @Html.ValidationMessageFor(Function(model) model.EmailAddress)
        </div>

        <div class="editor-label">
            @Html.LabelFor(Function(model) model.Phone)
        </div>
        <div class="editor-field">
            @Html.EditorFor(Function(model) model.Phone)
            @Html.ValidationMessageFor(Function(model) model.Phone)
        </div>

        <div class="editor-label">
            @Html.LabelFor(Function(model) model.ModifiedDate)
        </div>
        <div class="editor-field">
            @Html.EditorFor(Function(model) model.ModifiedDate)
            @Html.ValidationMessageFor(Function(model) model.ModifiedDate)
        </div>

        <p>
            <input type="submit" value="Save" />
        </p>
    </fieldset>
    End Using

<div>
    @Html.ActionLink("Back to List", "Index")
</div>

